about summary refs log tree commit diff stats
path: root/templates/latex/academia/scripts
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-08-03 13:07:12 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-08-03 13:07:12 +0200
commit629bb898769c8580db340078a8296fe551035a79 (patch)
tree9657f7bfba3f82c1edddcc3e2e517f214d6e4254 /templates/latex/academia/scripts
parentdocs(README): Specify the formatting language (diff)
downloadflake-templates-629bb898769c8580db340078a8296fe551035a79.tar.gz
flake-templates-629bb898769c8580db340078a8296fe551035a79.zip
refactor(templates/latex): Declare as an academia template
Diffstat (limited to 'templates/latex/academia/scripts')
-rwxr-xr-xtemplates/latex/academia/scripts/extract_text_from_all.sh8
l---------templates/latex/academia/scripts/renew_copyright_header.sh1
2 files changed, 9 insertions, 0 deletions
diff --git a/templates/latex/academia/scripts/extract_text_from_all.sh b/templates/latex/academia/scripts/extract_text_from_all.sh
new file mode 100755
index 0000000..11b2ac4
--- /dev/null
+++ b/templates/latex/academia/scripts/extract_text_from_all.sh
@@ -0,0 +1,8 @@
+#! /usr/bin/env sh
+
+grep 'INPUT ./' ./build/main.fls | uniq | sed 's/INPUT //' | while read -r file; do
+    if ! [ "$(basename "$file")" = preamble.tex ] && ! [ "$(basename "$file")" = gymnasium.png ]; then
+        printf "\n%% Filename: %s\n" "$file"
+        grep -v '^\s*%' "$file"
+    fi
+done
diff --git a/templates/latex/academia/scripts/renew_copyright_header.sh b/templates/latex/academia/scripts/renew_copyright_header.sh
new file mode 120000
index 0000000..bafc9f4
--- /dev/null
+++ b/templates/latex/academia/scripts/renew_copyright_header.sh
@@ -0,0 +1 @@
+../../../common/scripts/renew_copyright_header.sh
\ No newline at end of file